# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CPAN.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    Image-Imlib2
%define upstream_version 2.03

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%{upstream_version}
Release:	alt7_23

Summary:	Interface to the Imlib2 image library
License:	GPL+ or Artistic
Group:		Development/Perl
URL:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Image/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:		Image-Imlib2-2.03-replace-imlib2-config-with-pkg-config.patch

BuildRequires:  pkgconfig(imlib2)
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(ExtUtils/CBuilder.pm)
BuildRequires:  perl(ExtUtils/XSBuilder.pm)
BuildRequires:  perl-devel
Source44: import.info


%description
Image::Imlib2 is a Perl port of Imlib2, a graphics library that does image file
loading and saving as well as manipulation, arbitrary polygon support, etc. It
does ALL of these operations FAST. It allows you to create colour images using
a large number of graphics primitives, and output the images in a range of
formats.

Image::Imlib2::Polygon and Image::Imlib2::ColorRange are described following
Image::Imlib2 but may be referenced before their description.

Note that this is an early version of my attempt at a Perl interface to Imlib2.
Currently, the API is just to test things out. Not everything is supported, but
a great deal of functionality already exists. If you think the API can be
tweaked to be a bit more intuitive, drop me a line!

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p0

%build
/usr/bin/perl Build.PL installdirs=vendor
./Build CFLAGS="%{optflags}"
rm -r t/simple.t
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc CHANGES README META.yml
%{perl_vendor_archlib}/auto/Image
%{perl_vendor_archlib}/Image


%changelog
* Fri Mar 22 2024 Igor Vlasenko <viy@altlinux.org> 2.03-alt7_23
- update by mgaimport

* Wed Nov 29 2023 Cronbuild Service <cronbuild@altlinux.org> 2.03-alt7_22
- rebuild to get rid of unmets

* Wed Apr 19 2023 Igor Vlasenko <viy@altlinux.org> 2.03-alt6_22
- update by mgaimport

* Wed Jun 16 2021 Cronbuild Service <cronbuild@altlinux.org> 2.03-alt6_19
- rebuild to get rid of unmets

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 2.03-alt5_19
- update by mgaimport

* Thu Oct 01 2020 Cronbuild Service <cronbuild@altlinux.org> 2.03-alt5_18
- rebuild to get rid of unmets

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 2.03-alt4_18
- rebuild with perl 5.30

* Sat Feb 15 2020 Igor Vlasenko <viy@altlinux.ru> 2.03-alt3_18
- update by mgaimport

* Tue Jan 29 2019 Cronbuild Service <cronbuild@altlinux.org> 2.03-alt3_17
- rebuild to get rid of unmets

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 2.03-alt2_17
- update by mgaimport

* Mon Aug 27 2018 Igor Vlasenko <viy@altlinux.ru> 2.03-alt2_16
- update by mgaimport

* Mon Dec 18 2017 Igor Vlasenko <viy@altlinux.ru> 2.03-alt2_15
- rebuild with perl 5.26

* Fri Oct 13 2017 Igor Vlasenko <viy@altlinux.ru> 2.03-alt1_15
- update by mgaimport

* Sun Feb 12 2017 Cronbuild Service <cronbuild@altlinux.org> 2.03-alt6_13
- rebuild to get rid of unmets

* Wed Jul 27 2016 Igor Vlasenko <viy@altlinux.ru> 2.03-alt5_13
- update by mgaimport

* Sun Feb 21 2016 Igor Vlasenko <viy@altlinux.ru> 2.03-alt5_12
- update by mgaimport

* Fri Nov 27 2015 Cronbuild Service <cronbuild@altlinux.org> 2.03-alt5_11
- rebuild to get rid of unmets

* Tue Oct 20 2015 Igor Vlasenko <viy@altlinux.ru> 2.03-alt4_11
- update by mgaimport

* Sat Dec 13 2014 Cronbuild Service <cronbuild@altlinux.org> 2.03-alt4_10
- rebuild to get rid of unmets

* Thu Oct 16 2014 Igor Vlasenko <viy@altlinux.ru> 2.03-alt3_10
- update by mgaimport

* Tue Sep 02 2014 Cronbuild Service <cronbuild@altlinux.org> 2.03-alt3_8
- rebuild to get rid of unmets

* Tue Jun 03 2014 Igor Vlasenko <viy@altlinux.ru> 2.03-alt2_8
- update by mgaimport

* Tue Oct 29 2013 Igor Vlasenko <viy@altlinux.ru> 2.03-alt2_7
- mga update

* Thu Sep 05 2013 Cronbuild Service <cronbuild@altlinux.org> 2.03-alt2_6
- rebuild with new perl

* Mon Aug 12 2013 Igor Vlasenko <viy@altlinux.ru> 2.03-alt1_6
- mgaimport update

* Thu Jul 25 2013 Igor Vlasenko <viy@altlinux.ru> 2.03-alt1_4
- converted for ALT Linux by srpmconvert tools

